/*	comment.h
 *	Define the global variables used by comment.
 */

/*
 *  Copyright (c) 1985 by David Dyer-Bennet
 *  Permission for non-commercial use is hereby granted; all other
 *  rights are reserved.
 *
 *  Written by David Dyer-Bennet
 *  Terrabit Software
 *  4242 Minnehaha Ave S
 *  Minneapolis, MN 55406
 *  Sysop of Fido 14/341, The Terraboard, (612) 721-8967 3/12/24 24hrs
 *  (612) 721-8800 NOT 24 hrs!  More like noon to midnight
 */

/*
 *  Revision history:
 *
 *      Edit    Date        Who     Description
 *
 *  Version 1.0
 *      1       3-Jan-86    DD-B    Initial creation
 */

buffer char *comment_recog;
					/* RE string that matches start of comment */
buffer char *comment_begin;
					/* String inserted to start comment */
buffer char *comment_end;
			/* String inserted to end comment, or 0 if end-of-line ends it */
buffer short comment_col;
					/* Comment column */
buffer short comment_limit;
					/* Rightmost pos to start new comment at */

/* End of comment.h */
